
From: "Coywolf Qi Hunt" <coywolf@lovecn.org>

This removes the compile warning: implicit declaration of function
`set_irq_info' and a duplicate include line.

Signed-off-by: Coywolf Qi Hunt <coywolf@lovecn.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/io_apic.c |    1 -
 include/linux/irq.h        |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/io_apic.c~x86-x86_64-deferred-handling-of-writes-to-proc-irq-xx-smp_affinitypatch-added-to-mm-tree-fix-2 arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~x86-x86_64-deferred-handling-of-writes-to-proc-irq-xx-smp_affinitypatch-added-to-mm-tree-fix-2	2005-05-25 00:46:40.000000000 -0700
+++ 25-akpm/arch/i386/kernel/io_apic.c	2005-05-25 00:46:50.000000000 -0700
@@ -33,7 +33,6 @@
 #include <linux/acpi.h>
 #include <linux/module.h>
 #include <linux/sysdev.h>
-#include <linux/irq.h>
 
 #include <asm/io.h>
 #include <asm/smp.h>
diff -puN include/linux/irq.h~x86-x86_64-deferred-handling-of-writes-to-proc-irq-xx-smp_affinitypatch-added-to-mm-tree-fix-2 include/linux/irq.h
--- 25/include/linux/irq.h~x86-x86_64-deferred-handling-of-writes-to-proc-irq-xx-smp_affinitypatch-added-to-mm-tree-fix-2	2005-05-25 00:46:40.000000000 -0700
+++ 25-akpm/include/linux/irq.h	2005-05-25 00:46:40.000000000 -0700
@@ -161,6 +161,7 @@ static inline void set_irq_info(int irq,
 #else
 #define move_irq(x)
 #define move_native_irq(x)
+extern void set_irq_info(unsigned int irq, cpumask_t mask);
 #endif // CONFIG_GENERIC_PENDING_IRQ
 
 extern int no_irq_affinity;
_
